python-django-pipeline_1.5.4-1_all.deb


Advertisement

Description

python-django-pipeline - Asset packaging library for Django

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-django-pipeline
Package version: 1.5.4
Package release: 1
Package architecture: all
Package type: deb
Installed size: 109 B
Download size: 17.01 KB
Official Mirror: archive.ubuntu.com
Pipeline is an asset packaging library for Django, providing both CSS and JavaScript concatenation and compression, built-in JavaScript template support, and optional data-URI image and font embedding.

Alternatives

    Download

    Source package: django-pipeline

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-django-pipeline deb package:
      # sudo apt-get install python-django-pipeline

    Files

    • /usr/lib/python2.7/dist-packages/django_pipeline-1.5.4.egg-info/PKG-INFO
    • /usr/lib/python2.7/dist-packages/django_pipeline-1.5.4.egg-info/dependency_links.txt
    • /usr/lib/python2.7/dist-packages/django_pipeline-1.5.4.egg-info/not-zip-safe
    • /usr/lib/python2.7/dist-packages/django_pipeline-1.5.4.egg-info/requires.txt
    • /usr/lib/python2.7/dist-packages/django_pipeline-1.5.4.egg-info/top_level.txt
    • /usr/lib/python2.7/dist-packages/pipeline/__init__.py
    • /usr/lib/python2.7/dist-packages/pipeline/collector.py
    • /usr/lib/python2.7/dist-packages/pipeline/conf.py
    • /usr/lib/python2.7/dist-packages/pipeline/exceptions.py
    • /usr/lib/python2.7/dist-packages/pipeline/finders.py
    • /usr/lib/python2.7/dist-packages/pipeline/glob.py
    • /usr/lib/python2.7/dist-packages/pipeline/manifest.py
    • /usr/lib/python2.7/dist-packages/pipeline/middleware.py
    • /usr/lib/python2.7/dist-packages/pipeline/packager.py
    • /usr/lib/python2.7/dist-packages/pipeline/signals.py
    • /usr/lib/python2.7/dist-packages/pipeline/storage.py
    • /usr/lib/python2.7/dist-packages/pipeline/utils.py
    • /usr/lib/python2.7/dist-packages/pipeline/compilers/__init__.py
    • /usr/lib/python2.7/dist-packages/pipeline/compilers/coffee.py
    • /usr/lib/python2.7/dist-packages/pipeline/compilers/es6.py
    • /usr/lib/python2.7/dist-packages/pipeline/compilers/less.py
    • /usr/lib/python2.7/dist-packages/pipeline/compilers/livescript.py
    • /usr/lib/python2.7/dist-packages/pipeline/compilers/sass.py
    • /usr/lib/python2.7/dist-packages/pipeline/compilers/stylus.py
    • /usr/lib/python2.7/dist-packages/pipeline/compressors/__init__.py
    • /usr/lib/python2.7/dist-packages/pipeline/compressors/closure.py
    • /usr/lib/python2.7/dist-packages/pipeline/compressors/cssmin.py
    • /usr/lib/python2.7/dist-packages/pipeline/compressors/csstidy.py
    • /usr/lib/python2.7/dist-packages/pipeline/compressors/jsmin.py
    • /usr/lib/python2.7/dist-packages/pipeline/compressors/slimit.py
    • /usr/lib/python2.7/dist-packages/pipeline/compressors/uglifyjs.py
    • /usr/lib/python2.7/dist-packages/pipeline/compressors/yuglify.py
    • /usr/lib/python2.7/dist-packages/pipeline/compressors/yui.py
    • /usr/lib/python2.7/dist-packages/pipeline/jinja2/pipeline/css.jinja
    • /usr/lib/python2.7/dist-packages/pipeline/jinja2/pipeline/inline_js.jinja
    • /usr/lib/python2.7/dist-packages/pipeline/jinja2/pipeline/js.jinja
    • /usr/lib/python2.7/dist-packages/pipeline/templates/pipeline/css.html
    • /usr/lib/python2.7/dist-packages/pipeline/templates/pipeline/css.jinja
    • /usr/lib/python2.7/dist-packages/pipeline/templates/pipeline/inline_js.html
    • /usr/lib/python2.7/dist-packages/pipeline/templates/pipeline/inline_js.jinja
    • /usr/lib/python2.7/dist-packages/pipeline/templates/pipeline/js.html
    • /usr/lib/python2.7/dist-packages/pipeline/templates/pipeline/js.jinja
    • /usr/lib/python2.7/dist-packages/pipeline/templatetags/__init__.py
    • /usr/lib/python2.7/dist-packages/pipeline/templatetags/ext.py
    • /usr/lib/python2.7/dist-packages/pipeline/templatetags/pipeline.py
    • /usr/share/doc/python-django-pipeline/README.Debian
    • /usr/share/doc/python-django-pipeline/changelog.Debian.gz
    • /usr/share/doc/python-django-pipeline/copyright

    Changelog

    2015-09-14 - Michael Fladischer <fladi@debian.org> django-pipeline (1.5.4-1) unstable; urgency=low * Team upload. * New upstream release.

    2015-08-12 - Michael Fladischer <fladi@debian.org> django-pipeline (1.5.3-1) unstable; urgency=low * Team upload. * New upstream release. * Run tests using custom pybuild configuration. * Add python(3)-jinja2 and python(3)-mock to Build-Depends as they are required to run the tests. * Clean up static files created by tests. * Bump debhelper compatibility level to 9. * Add python(3)-jinja2 to Depends in order to support is as a templating engine.

    2015-07-06 - Michael Fladischer <fladi@debian.org> django-pipeline (1.5.1-1) unstable; urgency=low * Team upload. * New upstream release. * Remove unversioned dependencies: - python-all - python-setuptools - python3-django - python3-setuptools - python3-sphinx * Reformat packaging files with cme for better readability. * Make description of the Python3 package unique. * Set X-Python3-Version to >= 3.2. * Install upstream changelog. * Call sphinx directly from pybuild to build the documentation. * Use python-django-pipeline-doc.docs instead of overriding dh_installdocs. * Clean up built documentation so package can be built two times in a row. * Provide symlink to point to documentation source. * Use pypi.debian.net service for uscan.

    2015-04-10 - Brian May <bam@debian.org> django-pipeline (1.4.7-1) unstable; urgency=medium * New upstream release.

    2015-02-03 - Brian May <bam@debian.org> django-pipeline (1.4.4.1-1) unstable; urgency=medium * New upstream version, closes: #776621. * Update package to be maintained by Debian python modules team.

    2014-07-03 - Brian May <bam@debian.org> django-pipeline (1.3.24-0.2) unstable; urgency=low * Non-maintainer upload. * Python3 package.

    2014-06-18 - Brian May <bam@debian.org> django-pipeline (1.3.24-0.1) unstable; urgency=low * Non-maintainer upload. * New upstream release, closes: #749829. * Update standard version to 3.9.5. * Override lintian warning license-problem-json-evil, this is a false positive due to debian/patches/make_jsmin_optional. We do not include jsmin.

    2012-04-26 - Dmitry Nezhevenko <dion@dion.org.ua> django-pipeline (1.2.2.1-1) unstable; urgency=low * Initial release (Closes: #670508)

    Advertisement
    Advertisement